rte_cryptodev_info(3)

NAME
rte_cryptodev_info

SYNOPSIS

#include <rte_cryptodev.h>

  Data Fields

const char * driver_name
uint8_t driver_id
struct rte_device * device
uint64_t feature_flags
const struct rte_cryptodev_capabilities * capabilities
unsigned max_nb_queue_pairs
uint16_t min_mbuf_headroom_req
uint16_t min_mbuf_tailroom_req

Detailed Description

Crypto device information

Definition at line 605 of file rte_cryptodev.h.

Field Documentation

  const char* driver_name
Driver name.

Definition at line 606 of file rte_cryptodev.h.

  uint8_t driver_id
Driver identifier

Definition at line 607 of file rte_cryptodev.h.

  struct rte_device* device
Generic device information.

Definition at line 608 of file rte_cryptodev.h.

  uint64_t feature_flags
Feature flags exposes HW/SW features for the given device

Definition at line 610 of file rte_cryptodev.h.

  const struct rte_cryptodev_capabilities* capabilities
Array of devices supported capabilities

Definition at line 613 of file rte_cryptodev.h.

  unsigned max_nb_queue_pairs
Maximum number of queues pairs supported by device.

Definition at line 616 of file rte_cryptodev.h.

  uint16_t min_mbuf_headroom_req
Minimum mbuf headroom required by device

Definition at line 619 of file rte_cryptodev.h.

  uint16_t min_mbuf_tailroom_req
Minimum mbuf tailroom required by device

Definition at line 622 of file rte_cryptodev.h.

  unsigned max_nb_sessions
Maximum number of sessions supported by device. If 0, the device does not have any limitation in number of sessions that can be used.

Definition at line 626 of file rte_cryptodev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.